Skip to content

Poll an active GitHub OAuth device flow

POST
/api/v1/player-releases/github/device/poll
curl --request POST \
--url https://example.com/api/v1/player-releases/github/device/poll \
--header 'Content-Type: application/json' \
--data '{ "flowId": "example" }'

Requires an authenticated dashboard user.

Media typeapplication/json
object
flowId
required
string
Examplegenerated
{
"flowId": "example"
}

Pending, connected, denied, or expired state

Media typeapplication/json
object
data
required
object
status
required
string
Allowed values: pending connected denied expired
login
string
retryAfterSeconds
integer
Example
{
"data": {
"status": "pending"
}
}

Device flow expired or was not found

GitHub authorization failure